# Interface PlaneSurfaceFactory.Config

Enclosing class:
  `PlaneSurfaceFactory`

public static interface PlaneSurfaceFactory.Config
Specifies configuration options for the PlaneSurfaceFactory. An instance of this interface is fed to the constructor.

Since:
  19 Feb 2013
Author:
  Mark Taylor

## Method Summary

Modifier and Type
Method
Description
`ConfigKey<OrientationPolicy>`
`getOrientationsKey()`
Returns a suitable OrientationPolicy config key.
`boolean`
`has2dMetric()`
Returns true if it may make sense to measure distances on the plane surfaces constructed.
`boolean`
`hasSecondaryAxes()`
Returns true if secondary axis labelling can be configured for the surface factory.
`boolean`
`labelFormattedPosition()`
Returns true if formatted position strings should be accompanied by the axis labels.

## Method Details

### has2dMetric

boolean has2dMetric()
Returns true if it may make sense to measure distances on the plane surfaces constructed.

Returns:
  true to allow 2d measurement

### hasSecondaryAxes

boolean hasSecondaryAxes()
Returns true if secondary axis labelling can be configured for the surface factory.

Returns:
  true to allow secondary axes

### labelFormattedPosition

boolean labelFormattedPosition()
Returns true if formatted position strings should be accompanied by the axis labels.

Returns:
  true to add axis labels to formatted position strings
See Also:
  - `Surface.formatPosition(double[])`

### getOrientationsKey

ConfigKey<OrientationPolicy> getOrientationsKey()
Returns a suitable OrientationPolicy config key.

Returns:
  config key